// /////////////////////////////////////////////////////////////////////////////
//  RDAKFadeView.h
//  RDAppKit.framework
//
//  Application framework for my apps.
//  Copyright (C) 2005 Robbie Duncan
//
// /////////////////////////////////////////////////////////////////////////////
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
// /////////////////////////////////////////////////////////////////////////////
// RDAKFadeView is a view that fades between 2 supplied images over a specified
// time.  It does not auto-request redraw during the fade.  It is assumed that
// this will mostly be used in a resizing window so will be asked to redraw
// frequently anyway.
//
// /////////////////////////////////////////////////////////////////////////////
//
/*!
@header RDAKFadeView
@discussion Defines the RDAKFadeView NSView subclass.
*/
#import <Cocoa/Cocoa.h>
//
/*!
@class RDAKFadeView
*/
@interface RDAKFadeView : NSView
{
	NSImage* _image1;
	NSImage* _image2;
	NSTimeInterval _fadeTime;
	NSDate* _fadeStart;
	NSSize _image1Size,_image2Size;
}
// Accessor Methods
- (void) setFromImage:(NSImage *) from andToImage:(NSImage *) to;
- (void) setFadeTime:(NSTimeInterval) fadeTime;
// Fade Methods
- (void) startFading;
//
@end
