// /////////////////////////////////////////////////////////////////////////////
//  RDAKNSArrayAdditions.h
//  RDAppKit.framework
//
//  Application framework for my apps.
//  Copyright (C) 2004 Robbie Duncan
//
// /////////////////////////////////////////////////////////////////////////////
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
// /////////////////////////////////////////////////////////////////////////////
//
/*!
@header RDAKNSArrayAdditions
@discussion Defines the RDAppKit NSArray additions
*/
#import <Cocoa/Cocoa.h>
//
/*!
@category NSArray(RDAKNSArrayAdditions)
@discussion RDAppKit additions to NSArray.
*/
@interface NSArray( RDAKNSArrayAdditions )
//
/*!
@method reversedArray
@abstract Returns a new reversed array
@discussion Returns a new array which contains the same objects as the target
 but in the opposite order.  This has no effect on the target array.  The
 returned object is autoreleased.
@returns An autoreleased NSArray
*/
-(NSArray *) reversedArray;
//
@end
