// /////////////////////////////////////////////////////////////////////////////
//  RDAKPreferencesController.h
//  RDAppKit.framework
//
//  Application framework for my apps.
//  Copyright (C) 2004-2005 Robbie Duncan
//
// /////////////////////////////////////////////////////////////////////////////
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
// /////////////////////////////////////////////////////////////////////////////
//
/*!
@header RDAKPreferencesController
@discussion Defines the RDAKPreferencesController NSWindowController subclass.
*/
#import <AppKit/AppKit.h>
#import <PreferencePanes/PreferencePanes.h>
#import "RDAKToolbarController.h"
#import "RDAKFadeView.h"
#import "RDAKOffscreenWindow.h"
#import "RDAKSlowableWindow.h"
#import "RDAKNSDictionaryAdditions.h"
//
#define PREF_WINDOW_SAVE @"rdakPreferencesWindow"
#define PREF_PANE_CHOSEN_KEY @"rdakChosenPreferencePane"
//
/*!
@class RDAKPreferencesController
*/
@interface RDAKPreferencesController : NSWindowController
{
	IBOutlet RDAKFadeView *fadeView;
    NSMutableArray* _panes;
    NSMutableArray* _toolbarIdentifiers;
	int max_width;
	RDAKToolbarController* _preferencesWindowToolbar;
}
// Initialisers
/*!
@method sharedInstance
@abstract Returns shared instance.
@discussion Returns (creating if necessary) the shared instance of this class.
 You should not need to call alloc/init on this class.  You should always ask 
 for the shared instance viathis method.
*/
+ (id) sharedInstance;
- (void) awakeFromNib;
// Interface Bullder Actions
- (IBAction) changeView:(id) sender;
// Window Delegate Methods
- (void) windowDidLoad;
- (void) windowDidMove:(NSNotification *)aNotification;
- (void) windowDidResize:(NSNotification *)aNotification;
//
@end
