// /////////////////////////////////////////////////////////////////////////////
//  RDAKSlowableWindow.h
//  RDAppKit.framework
//
//  Application framework for my apps.
//  Copyright (C) 2005 Robbie Duncan
//
// /////////////////////////////////////////////////////////////////////////////
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
// /////////////////////////////////////////////////////////////////////////////
// RDAKSlowableWindow is an NSWindow subclass that can slow down the resize of
// the window frame.
//
// /////////////////////////////////////////////////////////////////////////////
//
/*!
@header RDAKSlowableWindow
@discussion Defines the RDAKSlowableWindow NSWindow subclass.
*/
#import <Cocoa/Cocoa.h>
//
/*!
@class RDAKSlowableWindow
*/
@interface RDAKSlowableWindow : NSWindow
{
	BOOL _slowResize;
	int _slowdownFactor;
}
//
- (BOOL) slowResize;
- (void) setSlowResize:(BOOL) slowResize;
- (int) slowdownFactor;
- (void) setSlowdownFactor:(int) slowdownFactor;
//
@end
