// /////////////////////////////////////////////////////////////////////////////
//  RDAKTextViewerWindow.h
//  RDAppKit.framework
//
//  Application framework for my apps.
//  Copyright (C) 2005 Robbie Duncan
//
// /////////////////////////////////////////////////////////////////////////////
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
// /////////////////////////////////////////////////////////////////////////////
// Base class for various text viewer windows (license, bugs etc).
//
// /////////////////////////////////////////////////////////////////////////////
//
/*!
@header RDAKTextViewerWindow
@discussion Defines the RDAKTextViewerWindow NSWindowController subclass.
*/
#import <Cocoa/Cocoa.h>
//
/*!
@class RDAKTextViewerWindow
*/
@interface RDAKTextViewerWindow : NSWindowController
{
    IBOutlet NSTextView *textView;
	NSString* windowSaveName;
	NSString* textFilePath;
}
// Initialisers
- (void) awakeFromNib;
// ivar Accessors
- (NSString *) windowSaveName;
- (void) setWindowSaveName:(NSString *) name;
- (NSString *) textFilePath;
- (void) setTextFilePath:(NSString *) path;
// Window Delegate Methods
- (void) windowDidLoad;
- (void) windowDidMove:(NSNotification *)aNotification;
- (void) windowDidResize:(NSNotification *)aNotification;
// Handle print for document and non-document based apps.
- (IBAction) print:(id) sender;
- (IBAction) printDocument:(id) sender;
//
@end
