// /////////////////////////////////////////////////////////////////////////////
//  RDToolbarController.h
//  RDAppKit
//
//  Application framework for my apps.
//  Copyright (C) 2004-2005 Robbie Duncan
// /////////////////////////////////////////////////////////////////////////////
//
//  This program is free software; you can redistribute it and/or modify
//  it under the terms of the GNU General Public License as published by
//  the Free Software Foundation; either version 2 of the License, or
//  (at your option) any later version.
//
//  This program is distributed in the hope that it will be useful,
//  but WITHOUT ANY WARRANTY; without even the implied warranty of
//  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
//  GNU General Public License for more details.
//
//  You should have received a copy of the GNU General Public License
//  along with this program; if not, write to the Free Software
//  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
//
// /////////////////////////////////////////////////////////////////////////////
//  This file based on ToolbarSample from Apple Computer Inc.  Thanks Apple :-)
//  The original Apple copyright and disclamer are below - if this means that I
//  cannot release my version as GPL please ignore the above and accept my appologies
/*
Copyright:    Copyright 2001 Apple Computer, Inc. All rights reserved.

Disclaimer: IMPORTANT:  This Apple software is supplied to you by Apple Computer, Inc.
                ("Apple") in consideration of your agreement to the following terms, and your
                use, installation, modification or redistribution of this Apple software
                constitutes acceptance of these terms.  If you do not agree with these terms,
                please do not use, install, modify or redistribute this Apple software.

                In consideration of your agreement to abide by the following terms, and subject
                to these terms, Apple grants you a personal, non-exclusive license, under Apple's
                copyrights in this original Apple software (the "Apple Software"), to use,
                reproduce, modify and redistribute the Apple Software, with or without
                modifications, in source and/or binary forms; provided that if you redistribute
                the Apple Software in its entirety and without modifications, you must retain
                this notice and the following text and disclaimers in all such redistributions of
                the Apple Software.  Neither the name, trademarks, service marks or logos of
                Apple Computer, Inc. may be used to endorse or promote products derived from the
                Apple Software without specific prior written permission from Apple.  Except as
                expressly stated in this notice, no other rights or licenses, express or implied,
                are granted by Apple herein, including but not limited to any patent rights that
                may be infringed by your derivative works or by other works in which the Apple
                Software may be incorporated.

                The Apple Software is provided by Apple on an "AS IS" basis.  APPLE MAKES NO
                WARRANTIES, EXPRESS OR IMPLIED, INCLUDING WITHOUT LIMITATION THE IMPLIED
                WARRANTIES OF NON-INFRINGEMENT, MERCHANTABILITY AND FITNESS FOR A PARTICULAR
                PURPOSE, REGARDING THE APPLE SOFTWARE OR ITS USE AND OPERATION ALONE OR IN
                COMBINATION WITH YOUR PRODUCTS.

                IN NO EVENT SHALL APPLE BE LIABLE FOR ANY SPECIAL, INDIRECT, INCIDENTAL OR
                CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE
                GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
                ARISING IN ANY WAY OUT OF THE USE, REPRODUCTION, MODIFICATION AND/OR DISTRIBUTION
                OF THE APPLE SOFTWARE, HOWEVER CAUSED AND WHETHER UNDER THEORY OF CONTRACT, TORT
                (INCLUDING NEGLIGENCE), STRICT LIABILITY OR OTHERWISE, EVEN IF APPLE HAS BEEN
                ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 */
/*!
@header RDAKToolbarController
@discussion Defines the RDAKToolbarController.
*/
#import <Foundation/Foundation.h>
#import "RDAKToolbarControllerKeys.h"
//
/*!
@class RDAKToolbarController
*/
@interface RDAKToolbarController : NSObject 
{
    NSWindow* _window;
	id _delegate;
	id _target;
	NSString* _identifier;
    /* Dict that the config is loaded into. */
    NSDictionary* _rootDict;
    /* The toolbar we will actually connect to the window. */
    NSToolbar* _toolBar;
    /* Dictionary to hold the items we create. */
    NSMutableDictionary* _toolbarItems;
}
// Object initialisers 
- (id) initFromPath:(NSString *) path 
	 withIdentifier:(NSString *) identifier 
		 withTarget:(id) target;
- (id) initWithConfig:(NSDictionary *) config 
	   withIdentifier:(NSString *) identifier 
		   withTarget:(id) target;
- (void) attachToWindow:(NSWindow *) window;
// Run the customization sheet
- (void) customize;
// Delegate accessor methods
- (id) delegate;
- (void) setDelegate:(id) delegate;
// State setters
- (void) setAllowsUserCustomization:(BOOL) allows;
- (void) setAutosavesConfiguration:(BOOL) allows;
- (void) setSelectedItemIdentifier:(NSString *) identifier;
// Identifier accessor : you cannot set this apart from init
- (NSString *) identifier;
// NSToolbar delegate methods
- (NSToolbarItem *)toolbar:(NSToolbar *)toolbar 
	 itemForItemIdentifier:(NSString *)itemIdentifier 
 willBeInsertedIntoToolbar:(BOOL)flag;    
- (NSArray *)toolbarDefaultItemIdentifiers:(NSToolbar*)toolbar;
- (NSArray *)toolbarAllowedItemIdentifiers:(NSToolbar*)toolbar;
- (NSArray *)toolbarSelectableItemIdentifiers:(NSToolbar *)toolbar;
- (BOOL)validateToolbarItem:(NSToolbarItem *)theItem;
//
@end
